#include "colors.inc"
#include "brickkit.inc"
#include "gadget.inc"
#include "l-lamp.inc"
#include "stones.tex"
#declare Plane_Map = 0
#declare Shiny = finish {specular 1 roughness 0.001}
#declare Dull = finish {specular 0.5 roughness 0.15}

#declare Poster_Map = texture
{
   pigment
   {
      image_map { gif "fractal.gif" map_type Plane_Map once }
   }
}

#declare DMFWood5 = 
 pigment 
  {wood
   turbulence 0.05
   octaves 6
   scale <0.075, .075, 1>
   color_map 
    {[0.00, 0.10 color red 0.3 green 0.1 blue 0.05
		 color red 0.3 green 0.1 blue 0.05]
     [0.10, 0.90 color red 0.3 green 0.1 blue 0.05
		 color red 0.25 green 0.07 blue 0.038]
     [0.90, 1.0  color red 0.25 green 0.07 blue 0.038
		 color red 0.25 green 0.07 blue 0.038]
    }
  }

#declare Glass3 = 
 texture
   {pigment
     {color red 0.98 green 0.98 blue 0.98 filter 0.9}
    finish 
     {ambient 0.1
      diffuse 0.1
      specular 0.8
      reflection 0.1
      refraction 0.9
      ior 1.45
      roughness 0.0003
      phong 1 phong_size 400
     }
   }

// Object type: Camera
// Name: Standard
camera 
{
   right     < 1, 0, 0   >
   up        < 0, 1, 0   >
   direction < 0, 0, 0.5 >
   location  < 0, 0, 0   >
   scale < 281.35, 211.02, 422.03 >
   rotate < 2.0913e-06, -19.036, 8.5377e-07 >
   translate < 145.77, 28.262, -280.96 >
}

// Object type: SpotLight
// Name: Spot Light
light_source
{
   < 29.019, 453.18, 49.881 >
   color rgb < 1, 1, 1 >
   spotlight
   point_at < 29.019, -73.945, 49.881 >
   radius 12.277
   falloff 23.5201
   tightness 10
}

// Object type: SpotLight
// Name: Spot Light
light_source
{
   < -30.209, 60.417, -621.4 >
   color rgb < 1, 1, 1 >
   spotlight
   point_at < -30.209, 60.417, 239 >
   radius 10.9843
   falloff 21.2158
   tightness 10
}

// Object type: SpotLight
// Name: Spot Light
light_source
{
   < 565.74, 0, -196.04 >
   color rgb < 1, 1, 1 >
   spotlight
   point_at < -173.28, 0, 85.084 >
   radius 16.8774
   falloff 31.2487
   tightness 10
}

// Object type: OmniLight
// Name: Omni Light
light_source
{
   < 3.6246, 131.76, 0 >
   color rgb < 1, 1, 1 >
}

// Object type: World
// Name: Root
object
{
   union
   {
      // Object type: Composite
      // Name: Room
      object
      {
         union
         {
            // Object type: Box
            // Name: Left Wall
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }
     			 texture {brick_texture scale .25}
               scale < 1158.7, 960.71, 29.961 >
               rotate < 0, 90, 0 >
               translate < -293, -500, 274.48 >
            }

            // Object type: Box
            // Name: Front Wall
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }
					texture {brick_texture scale .25}
               scale < 1158.7, 960.71, 37.399 >
               translate < -292.08, -500, 238.39 >
            }
            // Object type: Box
            // Name: Ceiling
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }
 				  texture {brick_texture scale .25}
               scale < 1497.2, 20, 1278.8 >
               translate < -412.86, 451.5, -970.31 >
				}
         }
		}
	}

 }

      // Object type: Composite
      // Name: Desk
      object
      {
         union
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 20, 404.84, 422.39 >
               translate < -258.27, -484.1, -213.39 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 20, 402.72, 422.39 >
               translate < 240.32, -484.1, -213.39 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 530.72, 27.827, 430.01 >
               translate < -264, -100, -217 >
            }
        texture
         {
            DMFWood5
            scale <50,50,50>
				translate < 0, -280, 0 >
         }
      }
	}	

      // Object type: Composite
      // Name: Frame & Poster
      object
      {
         union
         {
            // Object type: Box
            // Name: Poster
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 201.23, 320.8, 5 >
               rotate < 0, 0, -90 >
               translate < -158.11, 212.55, 223.67 >

               texture
               {
                  Poster_Map
                  scale < 201.23, 320.8, 5 >
                  rotate < 0, 0, -90 >
                  translate < -158.11, 212.55, 223.67 >
               }
            }
         }
      }
      // Object type: Difference
      // Name: Frame
      object
      {
         difference
         {
            // Object type: Box
            // Name: Outer
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 250, 370, 20 >
               rotate < 0, 0, -90 >
               translate < -182.96, 236.96, 215.6 >
            }
            // Object type: Box
            // Name: Inner
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 200, 320, 30 >
               rotate < 0, 0, -90 >
               translate < -157.97, 211.96, 210.6 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 20, 258.49, 20 >
               translate < -182.17, -19.24, 212.13 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 20, 258.49, 20 >
               translate < 186.19, -19.24, 211.66 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 20, 374.57, 20 >
               rotate < 0, 0, -90 >
               translate < -184.73, 236.31, 211.39 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 20.118, 376.78, 20.118 >
               rotate < 0, 0, -90 >
               translate < -185.91, -11.912, 211.39 >
            }
         }

         texture
         {
            Stone18
            scale < 50, 50, 50 >
				translate < 0, 110, 215 >
         }
      }

object {Gadget
	rotate < 0, 77.101, 0 >
	translate < 0,-75,14.61 >
}

object {Lava_Lamp
	translate < 171.68, -75, 142.49 >
	}